Cartographer_Data = {}

local Cartographer_Data = Cartographer_Data
local _G = getfenv(0)

local treasure_icon = {}

local svn_revision = tonumber(string.match('$Rev: 46348 $', '%d+'))

local RegisterNotesDatabaseOLD = Cartographer_Notes.RegisterNotesDatabase
function RegisterNotesDatabaseNEW(Cartographer_Notes, name, db, ...)
	if Cartographer_Data[name] and (not db.svn_revision or 
db.svn_revision < svn_revision) then
		db = Cartographer_Data[name]
		db.svn_revision = svn_revision
		if name == "Treasure" then
			-- Fix Icon's for Treasure
			for k,v in pairs(db) do
				if type(v) == "table" then
					for pos,name in pairs(v) do
						if type(name) == "string" then
							local icon = treasure_icon[name] or Cartographer_Treasure and Cartographer_Treasure:getIcon(name)
							treasure_icon[name] = icon
							v[pos] = { ["title"] = name, ["icon"] = icon }
						end
					end
				end
			end
		end
		Cartographer_Data[name] = nil
		_G["Cartographer_"..name.."DB"] = db
	end
	RegisterNotesDatabaseOLD(Cartographer_Notes, name, db, ...)
end
Cartographer_Notes.RegisterNotesDatabase = RegisterNotesDatabaseNEW
